View Issue Details

IDProjectCategoryView StatusLast Update
0002929TechDraw[FreeCAD] Bugpublic2017-05-10 21:03
ReporterlambdaAssigned Towandererfan 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0002929: GeomHatch doesn't draw lines from an absolute position
DescriptionI have tried to write some patterns with dashed lines.
However it seems TechDraw calculates the pattern from the border of
the face instead of a fixed position, thus messing up the alignment of
the individual lines if the border is not a straight line.

See the attached screen shot for an example. The rectangle on the
left side is ok, but in the circle on the right side the pattern is messed
up.
Tagshatch

Relationships

related to 0003015 closedwandererfan TechDraw - Geometric Hatch PAT compatibility 

Activities

lambda

2017-02-27 21:23

reporter  

hatch-1.png (11,406 bytes)
hatch-1.png (11,406 bytes)

Kunda1

2017-02-28 01:00

administrator   ~0008470

Please post your Help > About FreeCAD > Copy to clipboard
Did you happen to ask on the forums before you posted to the tracker?

lambda

2017-02-28 11:52

reporter   ~0008472

No, I didn't post about this issue on the forum.
Looks like a straight forward problem, not sure
what I'd ask.

OS: Debian GNU/Linux 8.0 (jessie)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10237 (Git)
Build type: Unknown
Branch: master
Hash: 64912a59cc7f11c6263c8cb47fc713da773aa9d1
Python version: 2.7.9
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.0

Kunda1

2017-02-28 19:47

administrator   ~0008478

@wandererfan when you get a moment can you weigh in on this?

wandererfan

2017-03-04 16:52

developer   ~0008541

@lambda is correct. The lines start out based on a fixed point, then get shifted to the face boundary in the conversion to Qt QGraphicsPathItems on the Gui side.

There is a related problem with the deltaX part of the PAT specification too.

No ETA on a fix yet, sorry.

wandererfan

2017-05-10 17:53

developer   ~0008941

should be fixed by commit 7628089.

Kunda1

2017-05-10 18:23

administrator   ~0008942

FreeCAD master 76280891

Kunda1

2017-05-10 21:03

administrator   ~0008947

Thanks wandererfan! @lambda please test and reopen if issue persists.

Related Changesets

FreeCAD: master 76280891

2017-03-28 01:10:33

WandererFan


Committer: wmayer Details Diff
DrawGeomHatch improvements

-draw & align dash patterns correctly on all QPainters using QGPathItem
-Allow patterns to start with space
-ensure horiz & vert lines pass through pattern origin
-Scalable complex patterns
Affected Issues
0002929, 0003015
mod - src/Mod/TechDraw/App/DrawGeomHatch.cpp Diff File
mod - src/Mod/TechDraw/App/HatchLine.cpp Diff File
mod - src/Mod/TechDraw/App/HatchLine.h Diff File
mod - src/Mod/TechDraw/Gui/QGIFace.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIFace.h Diff File

Issue History

Date Modified Username Field Change
2017-02-27 21:23 lambda New Issue
2017-02-27 21:23 lambda File Added: hatch-1.png
2017-02-28 01:00 Kunda1 Note Added: 0008470
2017-02-28 11:52 lambda Note Added: 0008472
2017-02-28 19:47 Kunda1 Note Added: 0008478
2017-02-28 20:12 Kunda1 Summary GeomHatch doesn't draw lines from an absolute possition => GeomHatch doesn't draw lines from an absolute position
2017-03-04 16:52 wandererfan Assigned To => wandererfan
2017-03-04 16:52 wandererfan Status new => confirmed
2017-03-04 16:52 wandererfan Target Version => 0.17
2017-03-04 16:52 wandererfan Note Added: 0008541
2017-05-09 19:29 Kunda1 Relationship added related to 0003015
2017-05-10 01:32 Kunda1 Tag Attached: hatch
2017-05-10 17:53 wandererfan Note Added: 0008941
2017-05-10 18:23 Kunda1 Note Added: 0008942
2017-05-10 18:23 Kunda1 Changeset attached => FreeCAD master 76280891
2017-05-10 18:24 Kunda1 Status confirmed => resolved
2017-05-10 18:24 Kunda1 Resolution open => fixed
2017-05-10 18:24 Kunda1 Fixed in Version => 0.17
2017-05-10 21:03 Kunda1 Status resolved => closed
2017-05-10 21:03 Kunda1 Note Added: 0008947